Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 386307

Summary: <net-misc/openssh-5.9_p1-r4: Multiple vulnerabilities (CVE-2010-{4478,4755})
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: base-system, robbat2
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: A3 [glsa]
Package list:
Runtime testing required: ---

Description GLSAMaker/CVETool Bot gentoo-dev 2011-10-08 13:58:02 UTC
CVE-2010-4755 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-4755):
  The (1) remote_glob function in sftp-glob.c and the (2) process_put function
  in sftp.c in OpenSSH 5.8 and earlier, as used in FreeBSD 7.3 and 8.1, NetBSD
  5.0.2, OpenBSD 4.7, and other products, allow remote authenticated users to
  cause a denial of service (CPU and memory consumption) via crafted glob
  expressions that do not match any pathnames, as demonstrated by glob
  expressions in SSH_FXP_STAT requests to an sftp daemon, a different
  vulnerability than CVE-2010-2632.

CVE-2010-4478 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-4478):
  OpenSSH 5.6 and earlier, when J-PAKE is enabled, does not properly validate
  the public parameters in the J-PAKE protocol, which allows remote attackers
  to bypass the need for knowledge of the shared secret, and successfully
  authenticate, by sending crafted values in each round of the protocol, a
  related issue to CVE-2010-4252.


Maintainers, could you please check if Gentoo's OpenSSH is affected by these issues as well? If yes, please tell us the first versions which contain the fixes. Thank you.
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-01-18 01:21:14 UTC
CVE-2010-4755: applicable and fixed in 5.9
CVE-2010-4478: applicable and fixed in 5.7

This is 5 pending GLSAs for OpenSSH, please release them soon?
Comment 2 Sean Amoss gentoo-dev Security 2013-01-21 23:37:10 UTC
Added to existing GLSA request.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-05-11 13:56:31 UTC
This issue was resolved and addressed in
 GLSA 201405-06 at http://security.gentoo.org/glsa/glsa-201405-06.xml
by GLSA coordinator Mikle Kolyada (Zlogene).